// Call functions for touch devices
if (device.type) {
    replaceSelector(':hover|:active', '.touch', false);    // Replace :hover => .touch for touch devices
    // TODO optimize events
    document.body.addEventListener('touchstart', function(e){
        e.target.classList.add('touch');
    });
    document.body.addEventListener('touchend', function(e){
        e.target.classList.remove('touch');
    });
    document.body.addEventListener('touchmove', function(e){
        e.target.classList.remove('touch');
    });
}


function multipleEventListener(event, element, callback, parent) {
    var theParent = document.querySelector(parent);
    theParent.addEventListener(event, checkElement, false);

    function checkElement(e) {
        // TODO fix for mobile menu
        // TODO add multiple elements
        //if (e.target.hasAttribute('data-refer')) {
        if (e.target.outerHTML.indexOf(element) != -1) {
            //e.preventDefault();
            callback(e, e.target);
        }
    }
}
var contactClick = false;

multipleEventListener('touchstart', 'mailto:', function (event, element) {
    contactClick = true;
}, 'body');

multipleEventListener('touchstart', 'tel:', function (event, element) {
    contactClick = true;
}, 'body');

window.onbeforeunload = function(){
    if(contactClick == false){
        showLoading(device.type);
    }
    contactClick = false;
};
window.onload = hideLoading(device.type);


function showLoading(type) {
    var name = (type) ? 'loaded' : 'd-loaded';
    document.documentElement.classList.remove(name);
}

function hideLoading(type) {
    var name = (type) ? 'loaded' : 'd-loaded';
    document.documentElement.classList.add(name);
}


if(device.mobile() || device.tablet()){
    WebFontConfig = {
        google: {
            families: ['Roboto:400,500']
        }
    };
    (function(d) {
        var wf = d.createElement('script'), s = d.scripts[0];
        wf.src = 'https://ajax.googleapis.com/ajax/libs/webfont/1.6.16/webfont.js';
        s.parentNode.insertBefore(wf, s);
    })(document);
}


